Summary:	A utility to manage ATA drives 
Name:		ataidle
Version:	2.3
Release:	%mkrel 2
License:	BSD
Group:		System/Kernel and hardware 
Url:		http://www.cran.org.uk/bruce/software/ataidle.php
Source0:	http://www.cran.org.uk/bruce/software/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
ATAidle is a utility to set the power management features of ATA hard drives
in FreeBSD and Linux, including idle and standby timeouts, APM, and
acoustic level settings.

%prep
%setup -q

%build
export CFLAGS="%{optflags} -fno-strict-aliasing"
%make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_sbindir}
mkdir -p %{buildroot}/%{_mandir}/man8/
install ataidle %{buildroot}/%{_sbindir}
install ataidle.8 %{buildroot}/%{_mandir}/man8

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README Changelog
%{_sbindir}/ataidle
%{_mandir}/man8/*


%changelog
* Thu Aug 07 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.3-2mdv2009.0
+ Revision: 266218
- rebuild early 2009.0 package (before pixel changes)

* Fri Apr 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.3-1mdv2009.0
+ Revision: 195690
- new version
- compile with %%optflags
- spec file clean

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.9-2mdv2008.1
+ Revision: 140690
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Jan 26 2007 Erwan Velu <erwan@mandriva.org> 0.9-2mdv2007.0
+ Revision: 113782
- Rebuild
- Import ataidle

* Wed Nov 16 2005 Lenny Cartier <lenny@mandriva.com> 0.9-1mdk
- 0.9

* Sun Apr 10 2005 Emmanuel Andry <eandry@free.fr> 0.8-1mdk
- New release 0.8
- Fixed summary
- Changed archive gz to bz2

* Thu Jul 01 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.6-2mdk
- fix description

* Thu Jul 01 2004 Erwan Velu <erwan@mandrakesoft.com> 0.6-1mdk
- Initial release

